DEVP_YQ_VERSION = v4.49.2
DEVP_YQ_DIR = ${DEVP_TOOLS_ROOT}/yq/${DEVP_YQ_VERSION}
DEVP_YQ_EXE = ${DEVP_YQ_DIR}/yq

${DEVP_YQ_EXE}:
ifdef DEVP_NO_INSTALL
ifneq ($(DEVP_VERSION),$(DEVP_CI_BUILDER_VERSION))
	$(call error_message,"Platform version is [${DEVP_VERSION}] image version is [${DEVP_CI_BUILDER_VERSION}]. Same version is expected. Updating with [make devp/update] might help. DEVP_NO_INSTALL == 1. See: https://mws.pages.mws-team.ru/devp/platform-go-tools/pgt/user/pages/platform-update.html")
	@exit 1
endif
	$(call error_message,"[yq] is expected to be installed but it is not. Please contact /duty golang for support.")
	@exit 1
endif
	$(Q) mkdir -p ${DEVP_YQ_DIR}
	$(Q) CGO_ENABLED=0 GOBIN=${DEVP_YQ_DIR} go install github.com/mikefarah/yq/v4@${DEVP_YQ_VERSION}
	$(call green,"yq installed as $@")

.PHONY: devp/install/yq
devp/install/yq: ${DEVP_YQ_EXE}
	@# Install yq - v4.49.2
